small medium large xlarge

Generic-user-small
06 Jan 2009, 15:04
Leonid Raiz (7 posts)

Hi folks,

I followed instruction in sections 3.2 for installing on Windows, downloaded InstantRails and install it w/o a problem. That brought rails 2.0.2. The command “gem update –system” run w/o a problem. However the subsequent “gem update rails” results in

Updating installed gems Updating rails ERROR: While executing gem … (Gem::InstallError) rails requires activesupport (= 2.2.2, runtime)

Trying to manually update activesupport by “gem update activesupport” results in

Updating installed gems Updating activesupport ERROR: While executing gem … (Gem::GemNotFoundException) could not find gem activesupport locally or in a repository

However I do see activesupport-2.2.2.gem listed in the browser pointed to http://rubyforge.iasi.roedu.net/gems/

Any suggestions?

Samr_small_pragsmall
06 Jan 2009, 17:23
Sam Ruby (634 posts)

I just tried it again on a fresh install of Windows Vista, and it all went clean.

What does “gem -v” return (issued from the Instant Rails Ruby Console Window)? It should return 1.3.1.

This may sound silly, but I’ve seen similar problems (on other operating systems, but similar nevertheless) which turned out to be network gliches. Simply trying the “gem update rails” again (or perhaps “gem install rails –version 2.2.2” from page 37) might do the trick.

Generic-user-small
06 Jan 2009, 18:23
Leonid Raiz (7 posts)

I am on Windows XP SP3 and I did turn off firewall. Below is the log demonstrating my problems.

C:\InstantRails2.0\rails_apps>gem -v 1.3.1

C:\InstantRails2.0\rails_apps>gem update rails Updating installed gems Updating rails ERROR: While executing gem … (Gem::InstallError) rails requires activesupport (= 2.2.2, runtime)

C:\InstantRails2.0\rails_apps>gem install rails –version 2.2.2 ERROR: Error installing rails: rails requires activesupport (= 2.2.2, runtime)

C:\InstantRails2.0\rails_apps>gem install activesupport –version 2.2.2 ERROR: could not find gem activesupport locally or in a repository

C:\InstantRails2.0\rails_apps>gem update activesupport Updating installed gems Updating activesupport ERROR: While executing gem … (Gem::GemNotFoundException) could not find gem activesupport locally or in a repository

Ideas?

Samr_small_pragsmall
07 Jan 2009, 00:32
Sam Ruby (634 posts)

My original windows testing was on XP, so I don’t think that’s it.

Does gem sources output include “http://gems.rubyforge.org/”?

Does gem list --remote output include “activesupport (2.2.2)”?

Generic-user-small
07 Jan 2009, 22:28
Leonid Raiz (7 posts)

The answer to both questions is yes. gem sources outputs ““http://gems.rubyforge.org/” and gem list –remote output includes “activesupport (2.2.2)”

Thanks for trying to help.

You must be logged in to comment